All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface AssociationProperty

All Superinterfaces:
  AbstractProperty, CMetadata, LocalizedType, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrototypeProperty, java.rmi.Remote, Root, SecondaryType

    public interface AssociationProperty

extends PrototypeProperty

The SAS Metadata Model provides a Prototype metadata type to define templates that can be used to create metadata entities. The AssociationProperty metadata type is used with other prototype objects to define the associations that are needed in a given scenario.

Attributes of AssociationProperty are:

- `MetadataType`
- `AssociationName`
- `PartnerName`
- `Minimum`
- `Maximum`

Associations of AssociationProperty are:

- `AssociatedPrototypes`

## Usage

To create an instance of this AssociationProperty, use the `factory` create methods.
Example: create a AssociationProperty with name "AssociationProperty_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     AssociationProperty myObject = (AssociationProperty) factory.createComplexMetadataObject(objectStore, "AssociationProperty_Object", MetadataObjects.ASSOCIATIONPROPERTY, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_ASSOCIATEDPROTOTYPES_NAME` Constant used for the name of the AssociatedPrototypes association.
`static java.lang.String` | `ATTRIBUTE_ASSOCIATIONNAME_NAME` Constant used for the name of the AssociationName attribute.
`static java.lang.String` | `ATTRIBUTE_MAXIMUM_NAME` Constant used for the name of the Maximum attribute.
`static java.lang.String` | `ATTRIBUTE_METADATATYPE_NAME` Constant used for the name of the MetadataType attribute.
`static java.lang.String` | `ATTRIBUTE_MINIMUM_NAME` Constant used for the name of the Minimum attribute.
`static java.lang.String` | `ATTRIBUTE_PARTNERNAME_NAME` Constant used for the name of the PartnerName attribute.

Fields inherited from interface com.sas.metadata.remote.PrototypeProperty
`ASSOCIATION_OWNINGPROTOTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.AbstractProperty
`ASSOCIATION_ASSOCIATEDPROPERTYGROUP_NAME, ASSOCIATION_CUSTOMIZERS_NAME, ASSOCIATION_EDITORS_NAME, ASSOCIATION_STOREDCONFIGURATION_NAME, ASSOCIATION_VALIDATORS_NAME, ATTRIBUTE_ISEXPERT_NAME, ATTRIBUTE_ISLINKED_NAME, ATTRIBUTE_ISREQUIRED_NAME, ATTRIBUTE_ISUPDATEABLE_NAME, ATTRIBUTE_ISVISIBLE_NAME`

Fields inherited from interface com.sas.metadata.remote.LocalizedType
`ASSOCIATION_RESOURCES_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`AssociationList` | `getAssociatedPrototypes()` Gets the Association list of `AssociatedPrototypes`
`AssociationList` | `getAssociatedPrototypes(boolean fGoToServer)` Gets the Associationlist of `AssociatedPrototypes`
`java.lang.String` | `getAssociationName()` Gets the `String` value of `AssociationName`
`int` | `getAssociationNameMaxLength()` Gets the maximum length of `AssociationName`
`int` | `getAssociationNameState()` Gets the Metadata State of `AssociationName`
`int` | `getMaximum()` Gets the `int` value of `Maximum`
`int` | `getMaximumState()` Gets the Metadata State of `Maximum`
`java.lang.String` | `getMetadataType()` Gets the `String` value of `MetadataType`
`int` | `getMetadataTypeMaxLength()` Gets the maximum length of `MetadataType`
`int` | `getMetadataTypeState()` Gets the Metadata State of `MetadataType`
`int` | `getMinimum()` Gets the `int` value of `Minimum`
`int` | `getMinimumState()` Gets the Metadata State of `Minimum`
`java.lang.String` | `getPartnerName()` Gets the `String` value of `PartnerName`
`int` | `getPartnerNameMaxLength()` Gets the maximum length of `PartnerName`
`int` | `getPartnerNameState()` Gets the Metadata State of `PartnerName`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setAssociatedPrototypes(AssociationList list)` Sets the `AssociatedPrototypes` list to be `list`.
`void` | `setAssociatedPrototypes(AssociationList inObjects, int state)` Sets the entire AssociatedPrototypes list to match the passed in AssociationList, sets the state of the AssociatedPrototypes
`void` | `setAssociationName(java.lang.String inAssociationName)` Sets the `AssociationName` value and sets the state to MetadataState.LOCAL.
`void` | `setAssociationName(java.lang.String inAssociationName, int state)` Sets the `AssociationName` Metadata State.
`void` | `setAssociationNameState(int state)` Sets the Metadata State of `AssociationName`.
`void` | `setMaximum(int inMaximum)` Sets the `Maximum` value and sets the state to MetadataState.LOCAL.
`void` | `setMaximum(int inMaximum, int state)` Sets the `Maximum` Metadata State.
`void` | `setMaximum(java.lang.String inMaximum)` Sets the `Maximum` value and sets the state to MetadataState.LOCAL.
`void` | `setMaximum(java.lang.String inMaximum, int state)` Sets the `Maximum` value and Metadata State.
`void` | `setMaximumState(int state)` Sets the Metadata State of `Maximum`.
`void` | `setMetadataType(java.lang.String inMetadataType)` Sets the `MetadataType` value and sets the state to MetadataState.LOCAL.
`void` | `setMetadataType(java.lang.String inMetadataType, int state)` Sets the `MetadataType` Metadata State.
`void` | `setMetadataTypeState(int state)` Sets the Metadata State of `MetadataType`.
`void` | `setMinimum(int inMinimum)` Sets the `Minimum` value and sets the state to MetadataState.LOCAL.
`void` | `setMinimum(int inMinimum, int state)` Sets the `Minimum` Metadata State.
`void` | `setMinimum(java.lang.String inMinimum)` Sets the `Minimum` value and sets the state to MetadataState.LOCAL.
`void` | `setMinimum(java.lang.String inMinimum, int state)` Sets the `Minimum` value and Metadata State.
`void` | `setMinimumState(int state)` Sets the Metadata State of `Minimum`.
`void` | `setPartnerName(java.lang.String inPartnerName)` Sets the `PartnerName` value and sets the state to MetadataState.LOCAL.
`void` | `setPartnerName(java.lang.String inPartnerName, int state)` Sets the `PartnerName` Metadata State.
`void` | `setPartnerNameState(int state)` Sets the Metadata State of `PartnerName`.

Methods inherited from interface com.sas.metadata.remote.PrototypeProperty
`getOwningPrototype, getOwningPrototypes, getOwningPrototypes, setOwningPrototype, setOwningPrototypes, setOwningPrototypes`

Methods inherited from interface com.sas.metadata.remote.AbstractProperty
`getAssociatedPropertyGroup, getAssociatedPropertyGroups, getAssociatedPropertyGroups, getCustomizers, getCustomizers, getEditors, getEditors, getIsExpert, getIsExpertState, getIsLinked, getIsLinkedState, getIsRequired, getIsRequiredState, getIsUpdateable, getIsUpdateableState, getIsVisible, getIsVisibleState, getStoredConfiguration, getStoredConfigurations, getStoredConfigurations, getValidators, getValidators, setAssociatedPropertyGroup, setAssociatedPropertyGroups, setAssociatedPropertyGroups, setCustomizers, setCustomizers, setEditors, setEditors, setIsExpert, setIsExpert, setIsExpert, setIsExpert, setIsExpertState, setIsLinked, setIsLinked, setIsLinked, setIsLinked, setIsLinkedState, setIsRequired, setIsRequired, setIsRequired, setIsRequired, setIsRequiredState, setIsUpdateable, setIsUpdateable, setIsUpdateable, setIsUpdateable, setIsUpdateableState, setIsVisible, setIsVisible, setIsVisible, setIsVisible, setIsVisibleState, setStoredConfiguration, setStoredConfigurations, setStoredConfigurations, setValidators, setValidators`

Methods inherited from interface com.sas.metadata.remote.LocalizedType
`getResources, getResources, setResources, setResources`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_METADATATYPE_NAME

    static final java.lang.String ATTRIBUTE_METADATATYPE_NAME

  Constant used for the name of the MetadataType attribute.

  MetadataType: The type that can be associated using this association name.

  See Also:
    Constant Field Values

### ATTRIBUTE_ASSOCIATIONNAME_NAME

    static final java.lang.String ATTRIBUTE_ASSOCIATIONNAME_NAME

  Constant used for the name of the AssociationName attribute.

  AssociationName: The name of this association

  See Also:
    Constant Field Values

### ATTRIBUTE_PARTNERNAME_NAME

    static final java.lang.String ATTRIBUTE_PARTNERNAME_NAME

  Constant used for the name of the PartnerName attribute.

  PartnerName: The name the partner uses for this association

  See Also:
    Constant Field Values

### ATTRIBUTE_MINIMUM_NAME

    static final java.lang.String ATTRIBUTE_MINIMUM_NAME

  Constant used for the name of the Minimum attribute.

  Minimum: The minimum number of associated objects.

  See Also:
    Constant Field Values

### ATTRIBUTE_MAXIMUM_NAME

    static final java.lang.String ATTRIBUTE_MAXIMUM_NAME

  Constant used for the name of the Maximum attribute.

  Maximum: The maximum number of associated objects.

  See Also:
    Constant Field Values

### ASSOCIATION_ASSOCIATEDPROTOTYPES_NAME

    static final java.lang.String ASSOCIATION_ASSOCIATEDPROTOTYPES_NAME

  Constant used for the name of the AssociatedPrototypes association.

  AssociatedPrototypes: The prototype objects used as partners with this association object.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `AbstractProperty`
  Specified by:
    `initializeRequiredObjects` in interface `LocalizedType`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrototypeProperty`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `SecondaryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `AbstractProperty`
  Specified by:
    `initializePredObjects` in interface `LocalizedType`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrototypeProperty`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `SecondaryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMetadataType

    java.lang.String getMetadataType()
                                     throws java.rmi.RemoteException

  Gets the `String` value of `MetadataType`

  Returns:
    The `MetadataType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMetadataTypeState

    int getMetadataTypeState()
                             throws java.rmi.RemoteException

  Gets the Metadata State of `MetadataType`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMetadataTypeMaxLength

    int getMetadataTypeMaxLength()
                                 throws java.rmi.RemoteException

  Gets the maximum length of `MetadataType`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getAssociationName

    java.lang.String getAssociationName()
                                        throws java.rmi.RemoteException

  Gets the `String` value of `AssociationName`

  Returns:
    The `AssociationName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getAssociationNameState

    int getAssociationNameState()
                                throws java.rmi.RemoteException

  Gets the Metadata State of `AssociationName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getAssociationNameMaxLength

    int getAssociationNameMaxLength()
                                    throws java.rmi.RemoteException

  Gets the maximum length of `AssociationName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPartnerName

    java.lang.String getPartnerName()
                                    throws java.rmi.RemoteException

  Gets the `String` value of `PartnerName`

  Returns:
    The `PartnerName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPartnerNameState

    int getPartnerNameState()
                            throws java.rmi.RemoteException

  Gets the Metadata State of `PartnerName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPartnerNameMaxLength

    int getPartnerNameMaxLength()
                                throws java.rmi.RemoteException

  Gets the maximum length of `PartnerName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMinimum

    int getMinimum()
                   throws java.rmi.RemoteException

  Gets the `int` value of `Minimum`

  Returns:
    The `Minimum`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMinimumState

    int getMinimumState()
                        throws java.rmi.RemoteException

  Gets the Metadata State of `Minimum`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMaximum

    int getMaximum()
                   throws java.rmi.RemoteException

  Gets the `int` value of `Maximum`

  Returns:
    The `Maximum`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMaximumState

    int getMaximumState()
                        throws java.rmi.RemoteException

  Gets the Metadata State of `Maximum`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getAssociatedPrototypes

    AssociationList getAssociatedPrototypes()
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the Association list of `AssociatedPrototypes`

  Returns:
    The AssociationList of `AssociatedPrototypes` which can be of type:
    Prototype
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAssociatedPrototypes

    AssociationList getAssociatedPrototypes(boolean fGoToServer)
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the Associationlist of `AssociatedPrototypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `AssociatedPrototypes` which can be of type:
    Prototype
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setMetadataType

    void setMetadataType(java.lang.String inMetadataType)
                         throws java.rmi.RemoteException

  Sets the `MetadataType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMetadataType` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMetadataType

    void setMetadataType(java.lang.String inMetadataType,
                         int state)
                         throws java.rmi.RemoteException

  Sets the `MetadataType` Metadata State.

  Parameters:
    `inMetadataType` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMetadataTypeState

    void setMetadataTypeState(int state)
                              throws java.rmi.RemoteException

  Sets the Metadata State of `MetadataType`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociationName

    void setAssociationName(java.lang.String inAssociationName)
                            throws java.rmi.RemoteException

  Sets the `AssociationName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inAssociationName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociationName

    void setAssociationName(java.lang.String inAssociationName,
                            int state)
                            throws java.rmi.RemoteException

  Sets the `AssociationName` Metadata State.

  Parameters:
    `inAssociationName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociationNameState

    void setAssociationNameState(int state)
                                 throws java.rmi.RemoteException

  Sets the Metadata State of `AssociationName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPartnerName

    void setPartnerName(java.lang.String inPartnerName)
                        throws java.rmi.RemoteException

  Sets the `PartnerName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPartnerName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPartnerName

    void setPartnerName(java.lang.String inPartnerName,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `PartnerName` Metadata State.

  Parameters:
    `inPartnerName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPartnerNameState

    void setPartnerNameState(int state)
                             throws java.rmi.RemoteException

  Sets the Metadata State of `PartnerName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinimum

    void setMinimum(int inMinimum)
                    throws java.rmi.RemoteException

  Sets the `Minimum` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMinimum` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinimum

    void setMinimum(int inMinimum,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `Minimum` Metadata State.

  Parameters:
    `inMinimum` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinimum

    void setMinimum(java.lang.String inMinimum)
                    throws java.rmi.RemoteException

  Sets the `Minimum` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMinimum` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinimum

    void setMinimum(java.lang.String inMinimum,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `Minimum` value and Metadata State.

  Parameters:
    `inMinimum` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinimumState

    void setMinimumState(int state)
                         throws java.rmi.RemoteException

  Sets the Metadata State of `Minimum`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMaximum

    void setMaximum(int inMaximum)
                    throws java.rmi.RemoteException

  Sets the `Maximum` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMaximum` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMaximum

    void setMaximum(int inMaximum,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `Maximum` Metadata State.

  Parameters:
    `inMaximum` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMaximum

    void setMaximum(java.lang.String inMaximum)
                    throws java.rmi.RemoteException

  Sets the `Maximum` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMaximum` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMaximum

    void setMaximum(java.lang.String inMaximum,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `Maximum` value and Metadata State.

  Parameters:
    `inMaximum` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMaximumState

    void setMaximumState(int state)
                         throws java.rmi.RemoteException

  Sets the Metadata State of `Maximum`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedPrototypes

    void setAssociatedPrototypes(AssociationList list)
                                 throws java.rmi.RemoteException

  Sets the `AssociatedPrototypes` list to be `list`. Objects of which can be of type:
  Prototype

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedPrototypes

    void setAssociatedPrototypes(AssociationList inObjects,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the entire AssociatedPrototypes list to match the passed in AssociationList, sets the state of the AssociatedPrototypes

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.